#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	xf86-video-vesa
Version		:	2.6.0
Release		:	16.2.0.rel%{?dist}
Summary		: 	Generic VESA video driver for the Xorg X server
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive/individual/driver/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-server
#-----------------------------------------------------------------------------
%description
The Xorg VESA Driver contains the Generic VESA video driver
for the Xorg X server. This driver is often used as fallback
driver if the hardware specific driver fails to load or is not
present. If this driver is not installed, Xorg Server will print
a warning on startup, but it can be safely ignored if hardware
specific driver works well.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc README.md
%{_libdir}/xorg/modules/drivers/%{sname}_drv.{la,so}
%{_mandir}/man4/%{sname}.4.gz


%post -p /usr/sbin/ldconfig

%postun -p /usr/sbin/ldconfig

%changelog
